<html><head>
	<title>Javascript Exemplo Prompt</title>
</head>
<body>
<script>

function editar(id){
var botao_editar = document.createElement("input");
		botao_editar.setAttribute('type','submit');
			botao_editar.setAttribute('value','editar');
}

function remover(id){
  var x = event.target.parentNode;
	var y = x.parentNode;
		y.parentNode.removeChild(y);

}

function salvar(){

	var txtNome = document.getElementById('txtNome').value ; 
	var txtTelefone = document.getElementById('txtTelefone').value ;
	var table = document.getElementById('contatos') ; 
	
	var lastRow = table.rows[ table.rows.length - 1 ];
	var id = table.rows.length - 1; 
	
	var row = table.insertRow();
	var cellcodigo = row.insertCell(0);
	var cellnome = row.insertCell(1);
	var celltelefone = row.insertCell(2);
	var cellAcao = row.insertCell(3);
	
	cellcodigo.innerHTML  = id + 1  ; 
	cellnome.innerHTML = txtNome ; 
	celltelefone.innerHTML = txtTelefone ; 
	cellAcao.innerHTML = '<input type="button" value="Editar" onclick="editar();"/> <input type="button" value="Remover" onclick="remover();"/>'
	
	
	
}


</script>
<h2>Agenda</h2>

<table  >

<tr> 
	<td>
		Nome:
	</td>
	<td>
		<input style="width : 150px;" type="text" id="txtNome"  />
	</td>
	<td>
		Telefone:
	</td>
	<td>
		<input style="width : 100px;" type="text" id="txtTelefone"  />
	</td>
	<td>
		<input type="button" value="Salvar" onclick="salvar();"/>
	</td>
<tr>
</table>
<br />
<fieldset>

	<legend>Contatos</legend>
	
	<table  width='500px' id="contatos">
		<tr>
			<td width='10px'>
				Código
			</td>
			<td>
				Nome
			</td>
			<td>
				Telefone
			</td>
			<td style="width: 125px; text-align: right;">
				
			</td>
		</tr>
		<tr id="1">
			<td width='10px'>
				1
			</td>
			<td>
				José da Silva
			</td>
			<td>
				(27)9999-9999
			</td>
			<td style="width: 125px; text-align: right;">
				<input type="button" value="Editar" onclick="editar('1');"/>
				<input type="button" value="Remover" onclick="remover('1');"/>
			</td>
		</tr>
	</table>

</fieldset








</body>

</html>















